#
#  Functions to display help via the Unix version of Netscape.  This code
#  is not likely to work with any other browser.
#
#
#  Copyright 1999, 2002 Illinois Institute of Technology
#
#  See the file "LICENSE" for information on usage and redistribution
#  of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

proc display_help { url } {

	set complete_url "$IMCAGui::help_url/$url"

	if { $IMCAGui::web_browser == "netscape" } {

		if [ catch { exec xwininfo -name "Netscape" } ] {

			set command "netscape $complete_url &"
		} else {
			set command "netscape -remote openURL($complete_url) &"
		}
	} else {

		set t "The web browser '$IMCAGui::web_browser' is not directly"
		append t " supported by $IMCAGui::program_name.  Instead "
		append t "use your browser to view the URL $complete_url."

		Mx::error_message "Unsupported Web Browser" $t "" ""

		return
	}

	log_puts "command = '$command'"

	eval exec $command

	return
}

