#!/bin/sh
 
""":"
exec python $0 ${1+"$@"}
"""
# 
# arguments are script, element name, edge, scanfile
import sys, time, string, os, math
try:
  os.remove('atomdata')
except:
  pass

os.symlink('/usr/local/lib/chooch/atom.lib', 'atomdata')
fd = open('atomname','w+')
fd.write(sys.argv[1])
fd.write('\n')
fd.write(sys.argv[2])
fd.write('\n')
fd.close()
fd = open(sys.argv[3],'r')
data=fd.readlines()
fd.close()
i = len(data)
print i
energy = []
eout=[]
vout=[]
nout=0
energy.append(0)
for y in range(18,len(data)):
  line=string.split(data[y])
  for x in range(len(line)):
    line[x] = float(line[x])
  energy.append(line[0])
#  print line[0] , energy[y-18]
  if line[0] > energy[y-18]: 
     eout.append(line[0])
     vout.append(line[2]/line[1])
     nout = nout + 1

fd = open('rawdata','w+')
fd.write('\n')
fd.write(`nout`)
fd.write('\n')
for y in range(nout):
    fd.write(`eout[y]`)
    fd.write('  ')
    fd.write(`vout[y]`)
    fd.write('\n')
fd.close()
#  at this point, all the files are set up correctly
os.system('/usr/local/bin/Benny') 
os.system('/usr/local/bin/Chooch') 
efsname = sys.argv[3]+'.efs'
infname = sys.argv[3]+'.inf'
psname = sys.argv[3]+'.ps'
os.rename('anomfacs',efsname)
os.rename('valuesfile',infname)
os.rename('plot.ps',psname)
os.remove('splinor')
os.remove('atomdata')
os.remove('atomname')
os.remove('rawdata')

